For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get account transfers

Get all account sent and received transfers by the account identifier (public key or account hash).

GET /accounts/{account_identifier}/transfers

Sorting

Property
Description

timestamp

Sort transfers by timestamp

Default sorting is timestamp DESC

Optional properties

Property
Type
Description

initiator_public_key

string(68)

Initiator public key represented as a hexademical string

to_public_key

string(68)

Transfer recipient public key represented as a hexademical string

from_purse_public_key

string(68)

Public key of the account that owns the transfer source purse represented as a hexademical string. null when the sender purse is not own by an account

to_purse_public_key

string(68)

Public key of the account that owns the transfer target purse represented as a hexademical string. null when the target purse is not own by an account

to_account_info

Transfer recipient account info

from_purse_account_info

Account info of the account that owns the transfer source purse. null when the sender purse is not own by an account

to_purse_account_info

Account info of the account that owns the transfer target purse. null when the target purse is not own by an account

initiator_public_key

string(68)

Deploy caller public key represented as a hexadecimal string

rate

float32

CSPR rate for specified currency that was relevant at the moment of deploy creation

Response

PaginatedResponse<Transfer>

Example

Last updated